#define DJ_DBG
#include <djBox.h>

using namespace dj;

int main(int, char **)
{
  DJ_DBG_LOG();
  DJ_DBG_FNC("box");
  
  Box2i a, b(Vec2i(1, 2));
  DJ_DBG_PRN("a = " << a);
  DJ_DBG_PRN("b = " << b);
  DJ_DBG_PRN("");
  
  a = b;
  DJ_DBG_PRN("a = b = " << a);
  a = Box2i(1, 2, 3, 4);
  DJ_DBG_PRN("a = Box2i(1, 2, 3, 4) = " << a);
  DJ_DBG_PRN("");

  DJ_DBG_PRN("a + Point(2, 3) = " << (a + Vec2i(2, 3)));
  DJ_DBG_PRN("a - Point(2, 3) = " << (a - Vec2i(2, 3)));
}
